function love.load()
	mech = require 'mech'
	graph = require 'graph'
	
	hit = love.audio.newSource("snd/hit.ogg", "static")
	
	init()
	
	love.window.setMode( 640, 480)
end

function love.update(dt)
	if love.keyboard.isDown("s") then 
		st = true
	end
	
	if pntX > 450 then
		fn = true
	end

	if st and not fn then
		x = x - 0.5
		animalPoint[1] = animalPoint[1] - 0.5
		pntX = pntX + dt
		
		newTimer = love.timer.getTime()
		
		if x < -640 then 
			x = 0
		end
		
		if love.keyboard.isDown("up") and carPoint[2] ~= 270 and passing == 0 then 
			passing = 1
		end
		
		if love.keyboard.isDown("down")  and carPoint[2] ~= 410 and passing == 0 then
			passing = 2
		end
		
		if cl and collision(car, animal, {carPoint[1], carPoint[2] - 50}, animalPoint) then
			victim = blood
			hit:play()
			score = score + 1
			cl = false
		end
		
		if passing == 1 and carPoint[2] ~= 270 then
			carPoint[2] = carPoint[2] - 0.10
			pass = pass + 0.10
			
			if pass > 70 then
				passing = 0
				pass = 0
			end
		end
		
		if passing == 2 and carPoint[2] ~= 410 then
			carPoint[2] = carPoint[2] + 0.10
			pass = pass + 0.10
			
			if pass > 70 then
				passing = 0
				pass = 0
			end
		end
		
		if animalPoint[1] < -60 then
			cl = true
			road = math.random(3)
			
			if road == 1 then
				animalPoint[2] = 420
			end
			
			if road == 2 then 
				animalPoint[2] = 350
			end
			
			if road == 3 then 
				animalPoint[2] = 280
			end
			
			animalPoint[1] = 700
			victim = animal
		end
		
		if fn then
			if love.keyboard.isDown("s") then
				init()
			end
		end
	end
end
	
function love.draw()
	if not st then
		love.graphics.draw(start, 0, 0)
	end
	
	if st and not fn then
		love.graphics.draw(back, x, 0)
		love.graphics.draw(back, x + 640, 0)
		
		love.graphics.draw(victim, animalPoint[1], animalPoint[2])
		
		love.graphics.draw(car, carPoint[1], carPoint[2])
		
		love.graphics.draw(mtr, 0, 20)
		love.graphics.draw(pnt, pntX, 16)
	end
	
	if fn then
		love.graphics.draw(finish, 0, 0)
		
		if score == 0 then
			wr = txt[1]
		end
		
		if score > 0 then
			wr = txt[2]
		end
		
		if score >= 20 then
			wr = txt[3]
			love.graphics.draw(star, 151, 95)
		end
		
		if score >= 25 then
			wr = txt[4]
			love.graphics.draw(star, 269, 55)
		end
		
		if score >= 30 then
			wr = txt[5]
			love.graphics.draw(star, 388, 95)
		end
		
		love.graphics.draw(wr, 0, 280)
		
		love.graphics.print("score:", 290, 220)
		love.graphics.print(score, 330, 220)
		
		if love.keyboard.isDown("s") then
			init()
		end
		
		if love.keyboard.isDown("escape") then
			love.event.quit()
		end
	end
end
	
function init()
	victim = animal
	meter = 0
	pntX = 180
	
	carPoint = {50, 270}
	animalPoint = {700, 350}
	
	shift = 70
	
	timer = love.timer.getTime()
	
	score = 0
	x = 0
	
	cl = true
	st = false
	fn = false
	
	passing = 0
	
	pass = 0
end
	
	
	